/**
 *  a first draft of a class of circles in a plane
 */
public class Circle_0 {

	// data elements
	private int x, y;	// center
	private int r;		// radius
	private String color;

	// constructors
	public Circle_0(int x, int y, int r, String color) {
		this.x = x;
		this.y = y;
		this.r = r;
		this.color = color;
	}

	// methods for querying the data elements
	public int getX() {
		return x;
	}

	public int getY() {
		return y;
	}

	public int getSize() {
		return r;
	}

	public String getColor() {
		return color;
	}

	// additional methods
	public void moveTo(int x, int y) {
		this.x = x;
		this.y = y;
	}

	public void moveRel(int dx, int dy) {
		x += dx;
		y += dy;
	}

	public void resize(int r) {
		this.r = r;
	}

	public void setColor(String color) {
		this.color = color;
	}

	public double area() {
		return Math.PI*r*r;
	}
}
