/**
 *  A class of squares in a plane
 */
public class Square extends Point {

	// new data elements
	private int a;	// edge length

	// constructors
	public Square(int x, int y, int a, String color) {
		super(x,y,color);	// constructor of Point
		this.a = a;
	}

	// new methods
	public int getSize() {
		return a;
	}

	public void resize(int a) {
		this.a = a;
	}

	public int area() {
		return a*a;
	}
}
