/**
 *  a first draft of a class of squares in a plane
 */
public class Square_0 {

	// data elements
	private int x, y;	// upper left point
	private int a;		// edge length
	private String color;

	// constructors
	public Square_0(int x, int y, int a, String color) {
		this.x = x;
		this.y = y;
		this.a = a;
		this.color = color;
	}

	// methods for querying the data elements
	public int getX() {
		return x;
	}

	public int getY() {
		return y;
	}

	public int getSize() {
		return a;
	}

	public String getColor() {
		return color;
	}

	// additional methods
	public void moveTo(int x, int y) {
		this.x = x;
		this.y = y;
	}

	public void moveRel(int dx, int dy) {
		x += dx;
		y += dy;
	}

	public void resize(int a) {
		this.a = a;
	}

	public void setColor(String color) {
		this.color = color;
	}

	public int area() {
		return a*a;
	}
}
