/**
 * A class for circles in a plane
 */
public class Circle extends Point {

	// new data elements
	private int r;	// radius

	// constructors
	public Circle(int x, int y, int r, String color) {
		super(x,y,color);	// constructor of Point
		this.r = r;
	}

	// new methods
	public int getSize() {
		return r;
	}

	public void resize(int r) {
		this.r = r;
	}

	public double area() {
		return Math.PI*r*r;
	}
}
